summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Jick Nan <jick.nan@gmail.com>2010-05-11 20:02:08 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:02:08 +0200
commit0cd50c0b6fb5aadb6fdecd0977e1b118329ce5bd (patch)
treee3b0af8eb4497d36967f5795e5273c0ac426dce5
parent081ad402b49a5419eb3072aad0bfde95ebb6d988 (diff)
downloadslackbuilds-0cd50c0b6fb5aadb6fdecd0977e1b118329ce5bd.tar.gz
slackbuilds-0cd50c0b6fb5aadb6fdecd0977e1b118329ce5bd.tar.xz
system/scim-fcitx: Added to 12.0 repository
-rw-r--r--system/scim-fcitx/README3
-rw-r--r--system/scim-fcitx/scim-fcitx.SlackBuild67
-rw-r--r--system/scim-fcitx/scim-fcitx.info8
-rw-r--r--system/scim-fcitx/slack-desc19
4 files changed, 97 insertions, 0 deletions
diff --git a/system/scim-fcitx/README b/system/scim-fcitx/README
new file mode 100644
index 0000000000..7b15105340
--- /dev/null
+++ b/system/scim-fcitx/README
@@ -0,0 +1,3 @@
+fcitx for scim - fcitx is a popular Chinese input method on Linux.
+
+This package depends on scim (also available from SlackBuilds.org).
diff --git a/system/scim-fcitx/scim-fcitx.SlackBuild b/system/scim-fcitx/scim-fcitx.SlackBuild
new file mode 100644
index 0000000000..346aa22f20
--- /dev/null
+++ b/system/scim-fcitx/scim-fcitx.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for scim-fcitx
+# Written by Jick Nan (jick.nan@gmail.com)
+
+PRGNAM=scim-fcitx
+VERSION=3.1.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf fcitx
+tar -xjvf $CWD/$PRGNAM.$VERSION.tar.bz2 || exit 1
+cd fcitx || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+if [ -d $PKG/usr/man ]; then
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+fi
+
+if [ -d $PKG/usr/info ]; then
+ gzip -9 $PKG/usr/info/*.info*
+ rm -rf $PKG/usr/info/dir
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/scim-fcitx/scim-fcitx.info b/system/scim-fcitx/scim-fcitx.info
new file mode 100644
index 0000000000..2d41aebc1f
--- /dev/null
+++ b/system/scim-fcitx/scim-fcitx.info
@@ -0,0 +1,8 @@
+PRGNAM="scim-fcitx"
+VERSION="3.1.1"
+HOMEPAGE="http://www.scim-im.org"
+DOWNLOAD="http://dl.sourceforge.net/scim/scim-fcitx.3.1.1.tar.bz2"
+MD5SUM="781dc96ebce31e2949ecb0c3c1c769f6"
+MAINTAINER="Jick Nan"
+EMAIL="jick.nan@gmail.com"
+APPROVED="rworkman"
diff --git a/system/scim-fcitx/slack-desc b/system/scim-fcitx/slack-desc
new file mode 100644
index 0000000000..26547cb611
--- /dev/null
+++ b/system/scim-fcitx/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+scim-fcitx: scim-fcitx (fcitx for scim)
+scim-fcitx:
+scim-fcitx: fcitx for scim.
+scim-fcitx:
+scim-fcitx: fcitx is a popular Chinese input method on Linux.
+scim-fcitx:
+scim-fcitx:
+scim-fcitx:
+scim-fcitx:
+scim-fcitx:
+scim-fcitx: